### Method

# Clutter Text set_ellipsize

#### Declaration [src]

    void
    clutter_text_set_ellipsize (
      ClutterText* self,
      PangoEllipsizeMode mode
    )

#### Description [src]

Sets the mode used to ellipsize (add an ellipsis: “…”) to the text if there is not enough space to render the entire contents of a `ClutterText` actor.

Sets property | `Clutter.Text:ellipsize`

#### Parameters

`mode`

  Type: `PangoEllipsizeMode`

  A `PangoEllipsizeMode`.